Page MenuHomePhabricator

ContentTranslation adapts it:Template:Cita to en:Template:Quote, even though a different a template is linked
Closed, ResolvedPublic

Description

This is based on a user report, and confirmed by myself at https://en.wikipedia.org/wiki/User:Amire80/Giovan_Battista_Perasso .

When translating from Italian to English, {{cita}} is adapted to {{quote}}. This is definitely wrong because {{cita}} is linked to {{Harvard citation no brackets}}.

It's totally unclear to me how a different template is adapted. The English word "quote" happens to be the translation of the Italian word "cita", but as far as I know we don't have machine translation form Italian to English, so it must be something else. This probably happens because en:Template:Cita exists and redirects to en:Template:Quote, although I might be wrong.

Possibly related issues:

  • T125579 (an incorrectly adapted template, even though a correct link is available)
  • T98018 (the "Template" namespace is adapted, even though it's not needed. This happens in this issue, too, so maybe it's related.)

Event Timeline

Amire80 created this task.Feb 15 2016, 9:01 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2016, 9:01 AM
Amire80 updated the task description. (Show Details)Feb 15 2016, 9:05 AM
Amire80 set Security to None.

If this indeed happens because en:Template:Cita exists and redirects to en:Template:Quote, then it's probably a dupe of T125579.

Amire80 renamed this task from ContentTranaslation adapts it:Template:Cite to en:Template:Quote, even though a different a template is linked to ContentTranaslation adapts it:Template:Cita to en:Template:Quote, even though a different a template is linked.Feb 15 2016, 2:43 PM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.
Elitre added a subscriber: Elitre.Feb 15 2016, 4:11 PM
Amire80 renamed this task from ContentTranaslation adapts it:Template:Cita to en:Template:Quote, even though a different a template is linked to ContentTranslation adapts it:Template:Cita to en:Template:Quote, even though a different a template is linked.Feb 15 2016, 7:39 PM
Amire80 moved this task from Backlog to High-priority Bugs on the ContentTranslation-Release8 board.
Amire80 moved this task from CX8 to CX9 on the ContentTranslation board.Apr 20 2016, 12:32 PM

Change 292911 had a related patch set uploaded (by Santhosh):
Templates: Use wikidata to find find template in target wiki

https://gerrit.wikimedia.org/r/292911

santhosh claimed this task.Jun 6 2016, 11:46 AM
santhosh moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 4 board.

Change 292911 merged by Nikerabbit:
Templates: Use wikidata to find template in target wiki

https://gerrit.wikimedia.org/r/292911

Arrbee raised the priority of this task from Normal to High.Jun 14 2016, 6:56 AM
Arrbee lowered the priority of this task from High to Normal.
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.
Amire80 closed this task as Resolved.Jul 13 2016, 11:33 AM

Verified.